## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pkgname     resynthesizer
%global commit      3846f799b25362efd877c9d9032a29318ab81aaa
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapshotver 20250518git%{shortcommit}

Name:     gimp-%{pkgname}
Version:  3.0.0
Release:  %autorelease -p -s %{snapshotver}
Summary:  GIMP plug-in for texture synthesis
License:  GPL-3.0-or-later
URL:      https://github.com/bootchk/%{pkgname}
Source0:  %{url}/archive/%{commit}/%{pkgname}-%{?snapshotver:%{snapshotver}}%{!?snapshotver:%{version}}.tar.gz

# Build requirements
BuildRequires:  gcc
BuildRequires:  gimp-devel-tools
BuildRequires:  meson
BuildRequires:  pkgconfig(gimp-3.0) >= 3.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.76
BuildRequires:  pkgconfig(gegl-0.4)
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

# Runtime requirements
Requires:       gimp >= 3.0
Requires:       python3-gobject >= 3.40
Requires:       gegl04

# GIMP 3 is currently not available or not supported on s390x architecture
# due to missing dependencies or upstream limitations
ExcludeArch: s390x


%description
Modern texture synthesis plugin for GIMP 3 implementing:
- AI-assisted inpainting and object removal
- Neural texture synthesis
- Seamless pattern generation
- Context-aware image manipulation
- GPU-accelerated processing (CUDA/OpenCL)

%prep
%autosetup -n %{pkgname}-%{?commit:%{commit}}%{!?commit:%{version}}

%generate_buildrequires

%build
%meson 
%meson_build

%install
%meson_install
mkdir -p %{buildroot}%{_metainfodir}
install -Dpm 644 %{name}.metainfo.xml %{buildroot}%{_metainfodir}/

%check
%meson_test

# Post-process desktop file with AppStream metadata
appstream-util validate-relax --nonet \
    %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%license COPYING
%doc ChangeLog README.md
%{_libdir}/gimp/3.0/plug-ins/
%{_metainfodir}/%{name}.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Mon May 19 2025 Luya Tshimbalanga <luya@fedoraproject.org> - 3.0.0-0.4.20250518git3846f79
- Exclude s390x architecture

* Mon May 19 2025 Luya Tshimbalanga <luya@fedoraproject.org> - 3.0.0-0.3.20250518git3846f79
- Manually switch snapshot date instead of macros

* Mon May 19 2025 Luya Tshimbalanga <luya@fedoraproject.org> - 3.0.0-0.2.20250519git3846f79
- Upload source

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-16.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 26 2024 Miroslav Suchý <msuchy@redhat.com> - 2.0.3-15.20190428gitadfa25a
- convert license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-14.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-13.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-12.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-11.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-10.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-9.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-8.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-7.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-6.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-5.20190428gitadfa25a
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-4.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3.20190428gitadfa25a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Sep 26 2019  Petr Viktorin <pviktori@redhat.com> 2.0.3-2.20190428gitadfa25a
* Fix Python shebangs

* Sat Aug 10 2019 Luya Tshimbalanga <luya@fedoraproject.org> - 2.0.3-1.20190428gitadfa25a
- Update to 2.0.3 git snapshot
- Use gimp rpm macros
- Clean up spec file

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-12.20160601git787ee5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-11.20160601git787ee5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-10.20160601git787ee5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-9.20160601git787ee5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-8.20160601git787ee5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-7.20160601git787ee5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-6.20160601git787ee5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jun 02 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.0-5.20160601git%{shortcommit}
- fix appdata filename everywhere

* Thu Jun 02 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.0-4.20160601git%{shortcommit}
- Fix appdata filename

* Wed Jun 01 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.0-3.20160601git%{shortcommit}
- Add appdata file

* Tue May 24 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.0-2.20160524git%{shortcommit}
- Update the package using git snapshot

* Thu May 19 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.0-1
- Update to latest upstream version
- change define flags to global
- minor spec file cleanup

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.16-12
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 03 2012 Nils Philippsen <nils@redhat.com> - 0.16-6
- rebuild against gimp 2.8.0 release candidate

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 16 2011 Nils Philippsen <nils@redhat.com> - 0.16-4
- rebuild for GIMP 2.7

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.16-3
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 02 2009 Ewan Mac Mahon <ewan@macmahon.me.uk> - 0.16-1
- Bump to version 0.16
- Patch makefile to allow Fedora CFLAGS to override defaults.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.15-3
- Autorebuild for GCC 4.3

*Sun Aug 19 2007 Ewan Mac Mahon <ewan@macmahon.me.uk> - 0.15-2
Fixed review problems: Spurious comment, License tag, variable style 
build root, ignoring opt flags.
* Mon Jul 30 2007 Ewan Mac Mahon <ewan@macmahon.me.uk> - 0.15-1
Initial Fedora package


## END: Generated by rpmautospec
